## WebKitFormSubmissionRequest WebKitFormSubmissionRequest — Represents a form submission request |

## Functions

GHashTable * | webkit_form_submission_request_get_text_fields ()
void | webkit_form_submission_request_submit ()

## Types and Values

struct | WebKitFormSubmissionRequest

## Object Hierarchy

        GObject
        ╰── WebKitFormSubmissionRequest

## Description

When a form is about to be submitted in a WebKitWebView, the “submit-form” signal is emitted. Its request argument contains information about the text fields of the form, that are typically used to store login information, returned in a GHashTable by the `webkit_form_submission_request_get_text_fields()` method, and you can finally submit the form with `webkit_form_submission_request_submit()`.

## Functions

### webkit_form_submission_request_get_text_fields ()

    GHashTable *
    webkit_form_submission_request_get_text_fields
                                   (WebKitFormSubmissionRequest *request);

Get a GHashTable with the values of the text fields contained in the form associated to `request` .

#### Parameters

request | a WebKitFormSubmissionRequest |

#### Returns

a GHashTable with the form text fields, or `NULL` if the form doesn't contain text fields.

[transfer none]

### webkit_form_submission_request_submit ()

    void
    webkit_form_submission_request_submit (WebKitFormSubmissionRequest *request);

Continue the form submission.

#### Parameters

request | a WebKitFormSubmissionRequest |

## Types and Values

### struct WebKitFormSubmissionRequest

    struct WebKitFormSubmissionRequest;